From ed3635f24f3be4ce6c9205f259550b0a5e3bfd1a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 20:49:45 +0200
Subject: [PATCH 1/2] travis: lint license

---
 common/travis/license.lst | 422 ++++++++++++++++++++++++++++++++++++++
 common/travis/xlint.sh    |   5 +-
 2 files changed, 426 insertions(+), 1 deletion(-)
 create mode 100644 common/travis/license.lst

diff --git a/common/travis/license.lst b/common/travis/license.lst
new file mode 100644
index 00000000000..4e34516324a
--- /dev/null
+++ b/common/travis/license.lst
@@ -0,0 +1,422 @@
+0BSD
+389-exception
+AAL
+ADSL
+AFL-1.1
+AFL-1.2
+AFL-2.0
+AFL-2.1
+AFL-3.0
+AGPL-1.0-only
+AGPL-1.0-or-later
+AGPL-3.0-only
+AGPL-3.0-or-later
+AMDPLPA
+AML
+AMPAS
+ANTLR-PD
+APAFML
+APL-1.0
+APSL-1.0
+APSL-1.1
+APSL-1.2
+APSL-2.0
+Abstyles
+Adobe-2006
+Adobe-Glyph
+Afmparse
+Aladdin
+Apache-1.0
+Apache-1.1
+Apache-2.0
+Artistic-1.0-Perl
+Artistic-1.0-cl8
+Artistic-1.0
+Artistic-2.0
+Autoconf-exception-2.0
+Autoconf-exception-3.0
+BSD-1-Clause
+BSD-2-Clause-FreeBSD
+BSD-2-Clause-NetBSD
+BSD-2-Clause-Patent
+BSD-2-Clause
+BSD-3-Clause-Attribution
+BSD-3-Clause-Clear
+BSD-3-Clause-LBNL
+BSD-3-Clause-No-Nuclear-License-2014
+BSD-3-Clause-No-Nuclear-License
+BSD-3-Clause-No-Nuclear-Warranty
+BSD-3-Clause
+BSD-4-Clause-UC
+BSD-4-Clause
+BSD-Protection
+BSD-Source-Code
+BSL-1.0
+Bahyph
+Barr
+Beerware
+Bison-exception-2.2
+BitTorrent-1.0
+BitTorrent-1.1
+Bootloader-exception
+Borceux
+CATOSL-1.1
+CC-BY-1.0
+CC-BY-2.0
+CC-BY-2.5
+CC-BY-3.0
+CC-BY-4.0
+CC-BY-NC-1.0
+CC-BY-NC-2.0
+CC-BY-NC-2.5
+CC-BY-NC-3.0
+CC-BY-NC-4.0
+CC-BY-NC-ND-1.0
+CC-BY-NC-ND-2.0
+CC-BY-NC-ND-2.5
+CC-BY-NC-ND-3.0
+CC-BY-NC-ND-4.0
+CC-BY-NC-SA-1.0
+CC-BY-NC-SA-2.0
+CC-BY-NC-SA-2.5
+CC-BY-NC-SA-3.0
+CC-BY-NC-SA-4.0
+CC-BY-ND-1.0
+CC-BY-ND-2.0
+CC-BY-ND-2.5
+CC-BY-ND-3.0
+CC-BY-ND-4.0
+CC-BY-SA-1.0
+CC-BY-SA-2.0
+CC-BY-SA-2.5
+CC-BY-SA-3.0
+CC-BY-SA-4.0
+CC0-1.0
+CDDL-1.0
+CDDL-1.1
+CDLA-Permissive-1.0
+CDLA-Sharing-1.0
+CECILL-1.0
+CECILL-1.1
+CECILL-2.0
+CECILL-2.1
+CECILL-B
+CECILL-C
+CERN-OHL-1.1
+CERN-OHL-1.2
+CLISP-exception-2.0
+CNRI-Jython
+CNRI-Python-GPL-Compatible
+CNRI-Python
+CPAL-1.0
+CPL-1.0
+CPOL-1.02
+CUA-OPL-1.0
+Caldera
+ClArtistic
+Classpath-exception-2.0
+Condor-1.1
+Crossword
+CrystalStacker
+Cube
+D-FSL-1.0
+DOC
+DSDP
+DigiRule-FOSS-exception
+Dotseqn
+ECL-1.0
+ECL-2.0
+EFL-1.0
+EFL-2.0
+EPL-1.0
+EPL-2.0
+EUDatagrid
+EUPL-1.0
+EUPL-1.1
+EUPL-1.2
+Entessa
+ErlPL-1.1
+Eurosym
+FLTK-exception
+FSFAP
+FSFUL
+FSFULLR
+FTL
+Fair
+Fawkes-Runtime-exception
+Font-exception-2.0
+Frameworx-1.0
+FreeImage
+GCC-exception-2.0
+GCC-exception-3.1
+GFDL-1.1-only
+GFDL-1.1-or-later
+GFDL-1.2-only
+GFDL-1.2-or-later
+GFDL-1.3-only
+GFDL-1.3-or-later
+GL2PS
+GPL-1.0-only
+GPL-1.0-or-later
+GPL-2.0-only
+GPL-2.0-or-later
+GPL-3.0-only
+GPL-3.0-or-later
+GPL-CC-1.0
+Giftware
+Glide
+Glulxe
+HPND-sell-variant
+HPND
+HaskellReport
+IBM-pibs
+ICU
+IJG
+IPA
+IPL-1.0
+ISC
+ImageMagick
+Imlib2
+Info-ZIP
+Intel-ACPI
+Intel
+Interbase-1.0
+JPNIC
+JSON
+JasPer-2.0
+LAL-1.2
+LAL-1.3
+LGPL-2.0-only
+LGPL-2.0-or-later
+LGPL-2.1-only
+LGPL-2.1-or-later
+LGPL-3.0-only
+LGPL-3.0-or-later
+LGPLLR
+LLVM-exception
+LPL-1.0
+LPL-1.02
+LPPL-1.0
+LPPL-1.1
+LPPL-1.2
+LPPL-1.3a
+LPPL-1.3c
+LZMA-exception
+Latex2e
+Leptonica
+LiLiQ-P-1.1
+LiLiQ-R-1.1
+LiLiQ-Rplus-1.1
+Libpng
+Libtool-exception
+Linux-OpenIB
+Linux-syscall-note
+MIT-0
+MIT-CMU
+MIT-advertising
+MIT-enna
+MIT-feh
+MIT
+MITNFA
+MPL-1.0
+MPL-1.1
+MPL-2.0-no-copyleft-exception
+MPL-2.0
+MS-PL
+MS-RL
+MTLL
+MakeIndex
+MirOS
+Motosoto
+Multics
+Mup
+NASA-1.3
+NBPL-1.0
+NCSA
+NGPL
+NLOD-1.0
+NLPL
+NOSL
+NPL-1.0
+NPL-1.1
+NPOSL-3.0
+NRL
+NTP
+Naumen
+Net-SNMP
+NetCDF
+Newsletr
+Nokia-Qt-exception-1.1
+Nokia
+Noweb
+OCCT-PL
+OCCT-exception-1.0
+OCLC-2.0
+OCaml-LGPL-linking-exception
+ODC-By-1.0
+ODbL-1.0
+OFL-1.0
+OFL-1.1
+OGL-UK-1.0
+OGL-UK-2.0
+OGL-UK-3.0
+OGTSL
+OLDAP-1.1
+OLDAP-1.2
+OLDAP-1.3
+OLDAP-1.4
+OLDAP-2.0.1
+OLDAP-2.0
+OLDAP-2.1
+OLDAP-2.2.1
+OLDAP-2.2.2
+OLDAP-2.2
+OLDAP-2.3
+OLDAP-2.4
+OLDAP-2.5
+OLDAP-2.6
+OLDAP-2.7
+OLDAP-2.8
+OML
+OPL-1.0
+OSET-PL-2.1
+OSL-1.0
+OSL-1.1
+OSL-2.0
+OSL-2.1
+OSL-3.0
+OpenJDK-assembly-exception-1.0
+OpenSSL
+PDDL-1.0
+PHP-3.0
+PHP-3.01
+PS-or-PDF-font-exception-20170817
+Plexus
+PostgreSQL
+Python-2.0
+QPL-1.0
+Qhull
+Qt-GPL-exception-1.0
+Qt-LGPL-exception-1.1
+Qwt-exception-1.0
+RHeCos-1.1
+RPL-1.1
+RPL-1.5
+RPSL-1.0
+RSA-MD
+RSCPL
+Rdisc
+Ruby
+SAX-PD
+SCEA
+SGI-B-1.0
+SGI-B-1.1
+SGI-B-2.0
+SISSL-1.2
+SISSL
+SMLNJ
+SMPPL
+SNIA
+SPL-1.0
+SWL
+Saxpath
+Sendmail-8.23
+Sendmail
+SimPL-2.0
+Sleepycat
+Spencer-86
+Spencer-94
+Spencer-99
+SugarCRM-1.1.3
+TAPR-OHL-1.0
+TCL
+TCP-wrappers
+TMate
+TORQUE-1.1
+TOSL
+TU-Berlin-1.0
+TU-Berlin-2.0
+UPL-1.0
+Unicode-DFS-2015
+Unicode-DFS-2016
+Unicode-TOU
+Unlicense
+VOSTROM
+VSL-1.0
+Vim
+W3C-19980720
+W3C-20150513
+W3C
+WTFPL
+Watcom-1.0
+Wsuipa
+WxWindows-exception-3.1
+X11
+XFree86-1.1
+XSkat
+Xerox
+Xnet
+YPL-1.0
+YPL-1.1
+ZPL-1.1
+ZPL-2.0
+ZPL-2.1
+Zed
+Zend-2.0
+Zimbra-1.3
+Zimbra-1.4
+Zlib
+bzip2-1.0.5
+bzip2-1.0.6
+copyleft-next-0.3.0
+copyleft-next-0.3.1
+curl
+deprecated_AGPL-1.0
+deprecated_AGPL-3.0
+deprecated_GFDL-1.1
+deprecated_GFDL-1.2
+deprecated_GFDL-1.3
+deprecated_GPL-1.0+
+deprecated_GPL-1.0
+deprecated_GPL-2.0+
+deprecated_GPL-2.0-with-GCC-exception
+deprecated_GPL-2.0-with-autoconf-exception
+deprecated_GPL-2.0-with-bison-exception
+deprecated_GPL-2.0-with-classpath-exception
+deprecated_GPL-2.0-with-font-exception
+deprecated_GPL-2.0
+deprecated_GPL-3.0+
+deprecated_GPL-3.0-with-GCC-exception
+deprecated_GPL-3.0-with-autoconf-exception
+deprecated_GPL-3.0
+deprecated_LGPL-2.0+
+deprecated_LGPL-2.0
+deprecated_LGPL-2.1+
+deprecated_LGPL-2.1
+deprecated_LGPL-3.0+
+deprecated_LGPL-3.0
+deprecated_Nunit
+deprecated_StandardML-NJ
+deprecated_eCos-2.0
+deprecated_wxWindows
+diffmark
+dvipdfm
+eCos-exception-2.0
+eGenix
+freertos-exception-2.0
+gSOAP-1.3b
+gnu-javamail-exception
+gnuplot
+i2p-gpl-java-exception
+iMatix
+libpng-2.0
+libtiff
+mif-exception
+mpich2
+openvpn-openssl-exception
+psfrag
+psutils
+u-boot-exception-2.0
+xinetd
+xpp
+zlib-acknowledgement
diff --git a/common/travis/xlint.sh b/common/travis/xlint.sh
index 56714bcd3a2..ea1c7ecc3ae 100755
--- a/common/travis/xlint.sh
+++ b/common/travis/xlint.sh
@@ -2,7 +2,10 @@
 #
 # xlint.sh
 
-[ "$XLINT" ] || exit 0 
+[ "$XLINT" ] || exit 0
+
+mkdir -p /usr/share/spdx/
+cp common/travis/license.lst /usr/share/spdx/
 
 awk '{ print "srcpkgs/" $0 "/template" }' /tmp/templates | while read -r t; do
 	/bin/echo -e "\x1b[32mLinting $t...\x1b[0m"

From 159b0407bd9c2c32820251d62bdf3dab0c89be43 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 20:50:25 +0200
Subject: [PATCH 2/2] xnots: test linting license

---
 srcpkgs/xnots/template | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/xnots/template b/srcpkgs/xnots/template
index 8aeba4bdf65..0da4b07f26f 100644
--- a/srcpkgs/xnots/template
+++ b/srcpkgs/xnots/template
@@ -1,7 +1,7 @@
 # Template file for 'xnots'
 pkgname=xnots
 version=0.2.1
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="CCOPT=\$CFLAGS"
 make_install_args="prefix=/usr"
@@ -14,6 +14,7 @@ homepage="http://xnots.sourceforge.net/"
 distfiles="${SOURCEFORGE_SITE}/project/${pkgname}/${pkgname}/${pkgname}-${version}/${pkgname}-${version}.tar.gz"
 checksum=80bbab0334880f79aa12cf17ebffc5730a85dc537e8e6208169720656ecd72ca
 make_use_env=yes
+archs=i686
 
 case "$XBPS_TARGET_MACHINE" in
 	aarch64*) broken="inotify-syscalls.h incomplete";;
